# Select Workspace

- Operation ID: `userProfileLoginUsingPOST`
- HTTP method: `POST`
- Path: `/uauth/auth/login/user/profile/{businessProfileUUID}`
- [Human-readable API reference](https://hub.synerise.com/api-reference/authorization#tag/Authorization/operation/userProfileLoginUsingPOST)

## Self-contained OpenAPI method

The fenced document below contains this method's documentation and all of its local references. It is self-contained; no category or master specification fetch is required.

```yaml
openapi: 3.0.0
info:
  title: Synerise Public API
  version: 1.9.1
paths:
  /uauth/auth/login/user/profile/{businessProfileUUID}:
    post:
      tags:
        - Authorization
      summary: Select Workspace
      description: |
        After logging in as a User, select a Workspace where you want to perform operations.

        ---

        **API consumer:** <a href="/api-reference/authorization?tag=Authorization&amp;operationId=userLogin" target="_blank" rel="noopener">Synerise User</a>
      operationId: userProfileLoginUsingPOST
      security:
        - JWT: []
      parameters:
        - name: businessProfileUUID
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: UUID of the workspace
      responses:
        "200":
          description: Login details
          content:
            application/json:
              schema:
                required:
                  - consumer
                type: object
                properties:
                  consumer:
                    type: object
                    description: Details of the authenticated user
                    properties:
                      type:
                        type: string
                        enum:
                          - USER
                      businessProfileId:
                        type: integer
                        description: ID of the selected workspace
                      name:
                        type: string
                        description: The user's login
                      id:
                        type: integer
                        description: ID of the user
                      authorities:
                        type: array
                        description: A list of permissions
                        items:
                          type: string
                      roles:
                        type: string
                        description: IDs of the roles assigned to the user
                  mfaMethods:
                    type: array
                    items:
                      type: string
                      enum:
                        - TOTP_AUTHENTICATOR
                        - EMAIL
                        - SMS
                  authorizationError:
                    type: string
                    enum:
                      - USER_FORCED_TO_CHANGE_PASSWORD
                  multiFactorCodeSent:
                    type: object
                    properties:
                      method:
                        type: string
                        enum:
                          - TOTP_AUTHENTICATOR
                          - EMAIL
                      status:
                        type: string
                        enum:
                          - OK
                          - LIMIT_REACHED
                          - ERROR
                      nextTryInSeconds:
                        type: integer
                        format: int32
                  defaultMfaMethod:
                    type: string
                    enum:
                      - TOTP_AUTHENTICATOR
                      - EMAIL
                      - SMS
                  forcedToSetMfa:
                    type: boolean
        "401":
          description: Unauthorized
          content: {}
        "403":
          description: Forbidden
          content: {}
        "404":
          description: Not Found
          content: {}
        "423":
          description: Access denied by IP policy
          content:
            application/json:
              schema:
                type: object
                properties:
                  timestamp:
                    type: string
                    format: date-time
                    description: Time when the error occurred
                  status:
                    type: integer
                    description: Status code
                  error:
                    type: string
                    description: Summary of the error
                  message:
                    type: string
                    description: Description of the problem
                  path:
                    type: string
                    description: URL of the requested resource
      x-snr-doc-urls:
        - /api-reference/authorization#tag/Authorization/operation/userProfileLoginUsingPOST
      x-codeSamples:
        - lang: cURL
          label: cURL
          source: |-
            curl --request POST \
              --url https://api.synerise.com/uauth/auth/login/user/profile/%7BbusinessProfileUUID%7D \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
        - lang: Python
          label: Python
          source: |-
            import http.client

            conn = http.client.HTTPSConnection("api.synerise.com")

            headers = { 'Authorization': "Bearer REPLACE_BEARER_TOKEN" }

            conn.request("POST", "/uauth/auth/login/user/profile/%7BbusinessProfileUUID%7D", headers=headers)

            res = conn.getresponse()
            data = res.read()

            print(data.decode("utf-8"))
        - lang: JavaScript
          label: JavaScript
          source: |-
            const data = null;

            const xhr = new XMLHttpRequest();
            xhr.withCredentials = true;

            xhr.addEventListener("readystatechange", function () {
              if (this.readyState === this.DONE) {
                console.log(this.responseText);
              }
            });

            xhr.open("POST", "https://api.synerise.com/uauth/auth/login/user/profile/%7BbusinessProfileUUID%7D");
            xhr.setRequestHeader("Authorization", "Bearer REPLACE_BEARER_TOKEN");

            xhr.send(data);
        - lang: Node.js
          label: Node.js
          source: |-
            const http = require("https");

            const options = {
              "method": "POST",
              "hostname": "api.synerise.com",
              "port": null,
              "path": "/uauth/auth/login/user/profile/%7BbusinessProfileUUID%7D",
              "headers": {
                "Authorization": "Bearer REPLACE_BEARER_TOKEN"
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on("data", function (chunk) {
                chunks.push(chunk);
              });

              res.on("end", function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.end();
        - lang: PHP
          label: PHP
          source: |-
            <?php

            $request = new HttpRequest();
            $request->setUrl('https://api.synerise.com/uauth/auth/login/user/profile/%7BbusinessProfileUUID%7D');
            $request->setMethod(HTTP_METH_POST);

            $request->setHeaders([
              'Authorization' => 'Bearer REPLACE_BEARER_TOKEN'
            ]);

            try {
              $response = $request->send();

              echo $response->getBody();
            } catch (HttpException $ex) {
              echo $ex;
            }
        - lang: Java
          label: Java
          source: |-
            HttpResponse<String> response = Unirest.post("https://api.synerise.com/uauth/auth/login/user/profile/%7BbusinessProfileUUID%7D")
              .header("Authorization", "Bearer REPLACE_BEARER_TOKEN")
              .asString();
servers:
  - description: Microsoft Azure EU
    url: https://api.synerise.com
  - description: Microsoft Azure USA
    url: https://api.azu.synerise.com
  - description: Google Cloud Platform
    url: https://api.geb.synerise.com
tags:
  - name: Authorization
components:
  securitySchemes:
    JWT:
      type: http
      scheme: bearer
      description: |-
        JWT Bearer token. The header looks like this: `Bearer {JWT}`

        Remember to include the space between 'Bearer' and the token.

        Generate a token via the **Authorization** endpoints.
```
